Improper Authentication Affecting com.liferay:com.liferay.portlet.configuration.web Open this link in a new tab package, versions [,4.0.13)


0.0
medium
  • Attack Complexity

    Low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • snyk-id

    SNYK-JAVA-COMLIFERAY-1536552

  • published

    4 Aug 2021

  • disclosed

    4 Aug 2021

  • credit

    Unknown

How to fix?

Upgrade com.liferay:com.liferay.portlet.configuration.web to version 4.0.13 or higher.

Overview

com.liferay:com.liferay.portlet.configuration.web is a Liferay Portlet Configuration Web

Affected versions of this package are vulnerable to Improper Authentication. It does not properly check user permission, which allows remote authenticated users to view the Guest and User role even if Role Visibility is enabled.